<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
Documentation of the AdvanceCAB <em>vbe32</em> utility.
</p>

<h2><a name="1">1</a> 
Synopsis
</h2>
<pre>
vbe32 [/l] [/c CONFIG]
</pre>
<h2><a name="2">2</a> 
Description
</h2>
The `vbe32' utility is a 32 bit TSR (Terminate Stay Resident)
VBE BIOS that completely substitutes the original VBE BIOS of your
video board.
<p>
It allow to set an arbitrary video mode list with the favorite
modes which work best with your video hardware without any
restrictions in size and frequencies.
<p>
With this utility you can play all the DOS games that use the
standard VESA VBE services with your PC Monitor, TV and Arcade
Monitor.
<p>
At the startup the configuration file `vbe.rc', created with
the utility `vbev', is read and all the modelines present
are activated. The format of this configuration file is
specified in the document `advv.txt'.
<p>
These are some example rc files:
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
ntsc.rc
</em></td><td width="90%">
NTSC TV.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
pal.rc
</em></td><td width="90%">
PAL TV.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
standard.rc
</em></td><td width="90%">
Arcade Standard Resolution (15 kHz).
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
medium.rc
</em></td><td width="90%">
Arcade Medium Resolution (25 kHz).
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
extended.rc
</em></td><td width="90%">
Arcade Extended Resolution (16.5 kHz).
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
pcvga.rc
</em></td><td width="90%">
VGA PC Monitor.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
pcsvga60.rc
</em></td><td width="90%">
SVGA PC Multisync Monitor.
</td></tr>
</table>
<p>
All the modelines present in the configuration files are used
to create the list of available VBE mode. For every modeline
five VBE modes with 8, 15, 16, 24, 32 bits are added.
<h2><a name="3">3</a> 
Options
</h2>
These are the command line options supported:
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/l
</strong></td></tr><tr><td>
Load in memory the utility
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/c CONFIG
</strong></td></tr><tr><td>
Use an arbitrary configuration file
</td></tr>
</table>
<h2><a name="4">4</a> 
Cards
</h2>
The program supports all the `svgaline' drivers listed in the
`carddos.txt' file.
<h2><a name="5">5</a> 
Limitations
</h2>
<ul>
<li>
The VBE 1.2 standard isn't supported. This makes the program
useless for 16 bit applications.
</li>
<li>
The VBE 3.0 standard isn't supported.
</li>
<li>
The VBE protect mode interface isn't supported. Anyway, protect mode
programs should be able to use the VBE real mode interface.
</li>
<li>
It uses a lot of conventional memory. Approx 200 kbyte.
</li>
<li>
It cannot be unloaded. It's a limitation of the DPMI support
not resolvable.
</li>
<li>
If used with CWSDPMI all the XMS memory is allocated. It's a limitation
of CWSDPMI. Anyway, the memory is available through the
DPMI services.
</li>
<li>
It doesn't work in Windows NT/2000/XP.
</li>
</ul>
<h2><a name="6">6</a> 
Application Problems
</h2>
Some applications are able to use only some common resolutions
like 320x240, 400x300, 512x384, 640x480 and 800x600. Others resolutions
may be completely ignored or crash the application.
<p>
Others applications may get in trouble if the list of available
VBE modes contains duplicate resolutions or is too big.
Add only the best modelines and avoid duplicates.
<h2><a name="7">7</a> 
Tests
</h2>
Doom Legacy with a GeForce 2 board (<a href="http://www.newdoom.com/doomlegacy/">http://www.newdoom.com/doomlegacy/</a>)
<br>
Duke Nukem 3D with a GeForce 2 board
<br>
<h2><a name="8">8</a> 
Examples
</h2>
Load it:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
vbe32 /l
</pre>
</td></tr></table>
<p>
Load it with an arbitrary configuration file:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
vbe32 /l /c c:\cab\myconf.rc
</pre>
</td></tr></table>
<h2><a name="9">9</a> 
Bugs
</h2>
The configuration file is checked only for the
`device_video_modeline' options.
All the other options are ignored.


</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>


